<%@ page contentType="text/html; charset=UTF-8"%>
<%@ include file="/WEB-INF/jspf/include/taglibs.jsp"%>

<form method="get" action="">
<input type="hidden" name="action" value="ContractLimit"> 

<%@include file="../include/error.jsp" %>

<div class="report">
<form action="">
<input type="hidden" name="action" value="ContractLimit">
<input type="hidden" name="module" value="contract"/>
<input type="hidden" name="mid" value="0"/>
<table class="filter" cellspacing="0" border="0">
	<tr>
		<td>Месяц:</td>
		<td>
			<c:set var="selectNameMonth" value="month" />
			<c:set var="selectMonth" value="${dataMap['month']}" />
			<%@include file="../include/month.jsp" %>
		</td>
		<td>Год:</td>
		<td>
			<select name="year">
				<c:forEach var="item" items="${dataMap['yearList']}">
					<c:choose>
						<c:when test="${item==dataMap['year']}">
							<option value="${item}" selected="selected">${item}</option>
						</c:when>
						<c:otherwise>
							<option value="${item}">${item}</option>
						</c:otherwise>
					</c:choose>
				</c:forEach>
			</select>
		</td>
		<td>
			<input type="submit" value="Вывести">
		</td>
	</tr>
</table>
</form>
	<table cellspacing="1" class="table800">
		<col class="col1"/>
		<col class="col2"/>
		<col class="col3"/>
		<col class="col4"/>
		<thead>
			<tr>
				<td>Сумма</td>
				<td>Дата понижения</td>
				<td>Дата восстановления</td>
				<td>Состояние</td>
			</tr>
		</thead>
		<tbody>
			<c:forEach var="item" items="${dataMap['moveList']}">
				<tr>
					<td>${item.summ }</td>
					<td><fmt:formatDate value="${item.date1.time }" pattern="dd.MM.yyyy"/></td>		
					<td><fmt:formatDate value="${item.date2.time }" pattern="dd.MM.yyyy"/></td>
					<td nowrap="nowrap">			
						<c:choose>
							<c:when test="${item.status==0 }">не погашено</c:when>
							<c:when test="${item.status==1 }">частично погашено</c:when>
							<c:when test="${item.status==2 }">погашено</c:when>
							<c:otherwise>просрочено</c:otherwise>
						</c:choose>
					</td>
				</tr>		
			</c:forEach>
		</tbody>
			<tfoot>
			  <tr>
			    <td colspan="4" style="text-align: left;">Текущий лимит: ${dataMap['limit']}</td>
			  </tr>
			</tfoot>
			</table>
		<em class="comment">
		Лимит будет восстановлен при поступлении суммы равной или большей суммы понижения, а понижение лимита помечено как погашено.<br/>
		Если понижение лимита по истечении срока не погашено, оно помечается как просрочено и лимит восстанавливается к прежнему значению.
		<c:if test="${empty dataMap['error2'] }"><br/>Сумма понижения может быть от ${dataMap['min']} до ${dataMap['max']}. Лимит может быть понижен до ${dataMap['minLimit']}.</c:if>
		</em>
		</div>
	</form>
	
	<br/>
	
	<c:choose>
		<c:when test="${empty dataMap['error2'] }">
			<form method="get" action="">
			<input type="hidden" name="action" value="ContractLimit">
			<table cellspacing="0" class="filter">
				<tr>
					<th>Понизить лимит на сумму:</th>
					<td>
						<input type="text" name="summ" size="6"/>
					</td>
					<th>сроком на </th>
					<td>
						<c:set var="map" value="${dataMap['dMap']}" />
						<select name="days">
							<c:forEach var="item" begin="1" end="9">
								<option value="${item}">${item} ${map[item]}</option>							</c:forEach>						
						</select>
					</td>
					<td>
						<input type="submit" value="Понизить">
					</td>
				</tr>
			</table>
			</form>
		</c:when>
		<c:otherwise>
			<table cellspacing="0" class="filter">
				<tr><th>${dataMap['error2']}</th></tr>
			</table>
		</c:otherwise>
	</c:choose>
